"""
This file contains all the emojis used in the ConsoleVerse library.

Example usage:
    >>> from consoleverse.term.emojis import *
    >>> print(Country.AD)  # prints '🇦🇩'
    >>> print(Country.AE + 'Hello World!')  # prints '🇦🇪Hello World!'

The following are the available emojis:
    - CountryFlag
    - Arrow
    - Astrology
    - People
    - Heart
    - Nature
    - Objects
    - Information
    - Bar
    - Numbers
    - Lines
"""

class CountryFlag:
    """Country emojis"""
    AD = ANDORRA = '🇦🇩'
    AE = UNITED_ARAB_EMIRATES = '🇦🇪'
    AF = AFGHANISTAN = '🇦🇫'
    AG = ANTIGUA_AND_BARBUDA = '🇦🇬'
    AI = ANGUILLA = '🇦🇮'
    AL = ALBANIA = '🇦🇱'
    AM = ARMENIA = '🇦🇲'
    AO = ANGOLA = '🇦🇴'
    AQ = ANTARCTICA = '🇦🇶'
    AR = ARGENTINA = '🇦🇷'
    AS = AMERICAN_SAMOA = '🇦🇸'
    AT = AUSTRIA = '🇦🇹'
    AU = AUSTRALIA = '🇦🇺'
    AW = ARUBA = '🇦🇼'
    AX = ALAND_ISLANDS = '🇦🇽'
    AZ = AZERBAIJAN = '🇦🇿'

    BA = BOSNIA_AND_HERZEGOVINA = '🇧🇦'
    BB = BARBADOS = '🇧🇧'
    BD = BANGLADESH = '🇧🇩'
    BE = BELGIUM = '🇧🇪'
    BF = BURKINA_FASO = '🇧🇫'
    BG = BULGARIA = '🇧🇬'
    BH = BAHRAIN = '🇧🇭'
    BI = BURUNDI = '🇧🇮'
    BJ = BENIN = '🇧🇯'
    BL = SAINT_BARTHELEMY = '🇧🇱'
    BM = BERMUDA = '🇧🇲'
    BN = BRUNEI_DARUSSALAM = '🇧🇳'
    BO = BOLIVIA = '🇧🇴'
    BQ = BONAIRE_SINT_EUSTATIUS_AND_SABA = '🇧🇶'
    BR = BRAZIL = '🇧🇷'
    BS = BAHAMAS = '🇧🇸'
    BT = BHUTAN = '🇧🇹'
    BV = BOUVET_ISLAND = '🇧🇻'
    BW = BOTSWANA = '🇧🇼'
    BY = BELARUS = '🇧🇾'
    BZ = BELIZE = '🇧🇿'

    CA = CANADA = '🇨🇦'
    CC = COCOS_ISLANDS = '🇨🇨'
    CD = DEMOCRATIC_REPUBLIC_OF_THE_CONGO = '🇨🇩'
    CF = CENTRAL_AFRICAN_REPUBLIC = '🇨🇫'
    CG = CONGO = '🇨🇬'
    CH = SWITZERLAND = '🇨🇭'
    CI = COTE_DIVOIRE = '🇨🇮'
    CK = COOK_ISLANDS = '🇨🇰'
    CL = CHILE = '🇨🇱'
    CM = CAMEROON = '🇨🇲'
    CN = CHINA = '🇨🇳'
    CO = COLOMBIA = '🇨🇴'
    CR = COSTA_RICA = '🇨🇷'
    CU = CUBA = '🇨🇺'
    CV = CAPE_VERDE = '🇨🇻'
    CW = CURACAO = '🇨🇼'
    CX = CHRISTMAS_ISLAND = '🇨🇽'
    CY = CYPRUS = '🇨🇾'
    CZ = CZECH_REPUBLIC = '🇨🇿'

    DE = GERMANY = '🇩🇪'
    DJ = DJIBOUTI = '🇩🇯'
    DK = DENMARK = '🇩🇰'
    DM = DOMINICA = '🇩🇲'
    DO = DOMINICAN_REPUBLIC = '🇩🇴'
    DZ = ALGERIA = '🇩🇿'

    EC = ECUADOR = '🇪🇨'
    EE = ESTONIA = '🇪🇪'
    EG = EGYPT = '🇪🇬'
    EH = WESTERN_SAHARA = '🇪🇭'
    ES = SPAIN = '🇪🇸'
    ET = ETHIOPIA = '🇪🇹'
    EU = EUROPEAN_UNION = EUROPE = '🇪🇺'

    FI = FINLAND = '🇫🇮'
    FJ = FIJI = '🇫🇯'
    FK = FALKLAND_ISLANDS = '🇫🇰'
    FM = MICRONESIA = '🇫🇲'
    FO = FAROE_ISLANDS = '🇫🇴'
    FR = FRANCE = '🇫🇷'

    GA = GABON = '🇬🇦'
    GB = UNITED_KINGDOM = '🇬🇧'
    GD = GRENADA = '🇬🇩'
    GE = GEORGIA = '🇬🇪'
    GF = FRENCH_GUIANA = '🇬🇫'
    GG = GUERNSEY = '🇬🇬'
    GM = GAMBIA = '🇬🇲'
    GQ = EQUATORIAL_GUINEA = '🇬🇶'
    GT = GUATEMALA = '🇬🇹'
    GU = GUAM = '🇬🇺'
    GW = GUINEA_BISSAU = '🇬🇼'

    HN = HONDURAS = '🇭🇳'
    HT = HAITI = '🇭🇹'
    HR = CROATIA = '🇭🇷'
    HU = HUNGARY = '🇭🇺'

    ID = INDONESIA = '🇮🇩'
    IE = IRELAND = '🇮🇪'
    IO = BRITISH_INDIAN_OCEAN_TERRITORY = '🇮🇴'
    IQ = IRAQ = '🇮🇶'
    IR = IRAN = '🇮🇷'
    IS = ICELAND = '🇮🇸'
    IT = ITALY = '🇮🇹'

    JM = JAMAICA = '🇯🇲'
    JO = JORDAN = '🇯🇴'
    JP = JAPAN = '🇯🇵'

    KH = CAMBODIA = '🇰🇭'
    KM = COMOROS = '🇰🇲'
    KN = SAINT_KITTS_AND_NEVIS = '🇰🇳'
    KP = NORTH_KOREA = '🇰🇵'
    KR = KOREA = SOUTH_KOREA = '🇰🇷'
    KY = CAYMAN_ISLANDS = '🇰🇾'

    LA = LAOS = '🇱🇦'
    LB = LEBANON = '🇱🇧'
    LC = SAINT_LUCIA = '🇱🇨'
    LI = LIECHTENSTEIN = '🇱🇮'
    LK = SRI_LANKA = '🇱🇰'
    LR = LIBERIA = '🇱🇷'
    LS = LESOTHO = '🇱🇸'
    LT = LITHUANIA = '🇱🇹'
    LU = LUXEMBOURG = '🇱🇺'
    LV = LATVIA = '🇱🇻'
    LY = LIBYA = '🇱🇾'

    MA = MOROCCO = '🇲🇦'
    MC = MONACO = '🇲🇨'
    MD = MOLDOVA = '🇲🇩'
    ME = MONTENEGRO = '🇲🇪'
    MF = SAINT_MARTIN = '🇲🇫'
    MG = MADAGASCAR = '🇲🇬'
    MH = MARSHALL_ISLANDS = '🇲🇭'
    MK = MACEDONIA = '🇲🇰'
    ML = MALI = '🇲🇱'
    MM = MYANMAR = '🇲🇲'
    MN = MONGOLIA = '🇲🇳'
    MO = MACAU = '🇲🇴'
    MP = NORTHERN_MARIANA_ISLANDS = '🇲🇵'
    MQ = MARTINIQUE = '🇲🇶'
    MR = MAURITANIA = '🇲🇷'
    MS = MONTSERRAT = '🇲🇸'
    MT = MALTA = '🇲🇹'
    MU = MAURITIUS = '🇲🇺'
    MV = MALDIVES = '🇲🇻'
    MW = MALAWI = '🇲🇼'
    MX = MEXICO = '🇲🇽'
    MY = MALAYSIA = '🇲🇾'
    MZ = MOZAMBIQUE = '🇲🇿'

    NA = NAMIBIA = '🇳🇦'
    NC = NEW_CALEDONIA = '🇳🇨'
    NE = NIGER = '🇳🇪'
    NF = NORFOLK_ISLAND = '🇳🇫'
    NG = NIGERIA = '🇳🇬'
    NI = NICARAGUA = '🇳🇮'
    NL = NETHERLANDS = '🇳🇱'
    NO = NORWAY = '🇳🇴'
    NP = NEPAL = '🇳🇵'
    NR = NAURU = '🇳🇷'
    NU = NIUE = '🇳🇺'
    NZ = NEW_ZEALAND = '🇳🇿'

    OM = OMAN = '🇴🇲'

    PA = PANAMA = '🇵🇦'
    PE = PERU = '🇵🇪'
    PF = FRENCH_POLYNESIA = '🇵🇫'
    PG = PAPUA_NEW_GUINEA = '🇵🇬'
    PH = PHILIPPINES = '🇵🇭'
    PK = PAKISTAN = '🇵🇰'
    PL = POLAND = '🇵🇱'
    PM = SAINT_PIERRE_AND_MIQUELON = '🇵🇲'
    PN = PITCAIRN = '🇵🇳'
    PR = PUERTO_RICO = '🇵🇷'
    PS = PALESTINIAN_TERRITORIES = '🇵🇸'
    PT = PORTUGAL = '🇵🇹'
    PW = PALAU = '🇵🇼'
    PY = PARAGUAY = '🇵🇾'

    QA = QATAR = '🇶🇦'

    RE = REUNION = '🇷🇪'
    RO = ROMANIA = '🇷🇴'
    RS = SERBIA = '🇷🇸'
    RU = RUSSIA = '🇷🇺'
    RW = RWANDA = '🇷🇼'

    SA = SAUDI_ARABIA = '🇸🇦'
    SB = SOLOMON_ISLANDS = '🇸🇧'
    SC = SEYCHELLES = '🇸🇨'
    SD = SUDAN = '🇸🇩'
    SE = SWEDEN = '🇸🇪'
    SG = SINGAPORE = '🇸🇬'
    SI = SLOVENIA = '🇸🇮'
    SJ = SVALBARD_AND_JAN_MAYEN = '🇸🇯'
    SK = SLOVAKIA = '🇸🇰'
    SL = SIERRA_LEONE = '🇸🇱'
    SM = SAN_MARINO = '🇸🇲'
    SN = SENEGAL = '🇸🇳'
    SO = SOMALIA = '🇸🇴'
    SR = SURINAME = '🇸🇷'
    SS = SOUTH_SUDAN = '🇸🇸'
    ST = SAO_TOME_AND_PRINCIPE = '🇸🇹'
    SV = EL_SALVADOR = '🇸🇻'
    SX = SINT_MAARTEN = '🇸🇽'
    SY = SYRIA = '🇸🇾'
    SZ = SWAZILAND = '🇸🇿'

    TC = TURKS_AND_CAICOS_ISLANDS = '🇹🇨'
    TD = CHAD = '🇹🇩'
    TF = FRENCH_SOUTHERN_TERRITORIES = '🇹🇫'
    TG = TOGO = '🇹🇬'
    TH = THAILAND = '🇹🇭'
    TJ = TAJIKISTAN = '🇹🇯'
    TK = TOKELAU = '🇹🇰'
    TL = TIMOR_LESTE = '🇹🇱'
    TM = TURKMENISTAN = '🇹🇲'
    TN = TUNISIA = '🇹🇳'
    TR = TURKEY = '🇹🇷'
    TO = TONGA = '🇹🇴'
    TW = TAIWAN = '🇹🇼'
    TZ = TANZANIA = '🇹🇿'

    UA = UKRAINE = '🇺🇦'
    UG = UGANDA = '🇺🇬'
    UK = UNITED_KINGDOM = '🇬🇧'
    UM = UNITED_STATES_MINOR_OUTLYING_ISLANDS = '🇺🇲'
    US = UNITED_STATES = '🇺🇸'
    UY = URUGUAY = '🇺🇾'
    UZ = UZBEKISTAN = '🇺🇿'

    VA = VATICAN_CITY = '🇻🇦'
    VC = SAINT_VINCENT_AND_THE_GRENADINES = '🇻🇨'
    VE = VENEZUELA = '🇻🇪'
    VG = BRITISH_VIRGIN_ISLANDS = '🇻🇬'
    VI = U_S_VIRGIN_ISLANDS = '🇻🇮'
    VN = VIETNAM = '🇻🇳'
    VU = VANUATU = '🇻🇺'

    WF = WALLIS_AND_FUTUNA = '🇼🇫'
    WS = SAMOA = '🇼🇸'

    XK = KOSOVO = '🇽🇰'

    YE = YEMEN = '🇾🇪'

    ZA = SOUTH_AFRICA = '🇿🇦'
    ZM = ZAMBIA = '🇿🇲'
    ZW = ZIMBABWE = '🇿🇼'

    WORLD = EARTH = '🌎'
    WORLD_MAP = '🗺'


class Arrow:
    """Arrows emojis"""
    ALB = ARROW_LEFT_BOLD = '⬅'
    ARB = ARROW_RIGHT_BOLD = '➡'
    AUB = ARROW_UP_BOLD = '⬆'
    ADB = ARROW_DOWN_BOLD = '⬇'
    ARUB = ARROW_RIGHT_UP_BOLD = '⬈'
    ALUB = ARROW_LEFT_UP_BOLD = '⬉'
    ARDB = ARROW_RIGHT_DOWN_BOLD = '⬊'
    ALDB = ARROW_LEFT_DOWN_BOLD = '⬋'
    ALRB = ARROW_LEFT_RIGHT_BOLD = '⬌'
    AUPB = ARROW_UP_DOWN_BOLD = '⬍'
    ALR = ARROW_LEFT_RIGHT = '↔'
    AUD = ARROW_UP_DOWN = '↕'
    AP = ARROW_UP = '↑'
    AD = ARROW_DOWN = '↓'
    AL = ARROW_LEFT = '←'
    AR = ARROW_RIGHT = '→'
    ALU = ARROW_LEFT_UP = '↖'
    ALD = ARROW_LEFT_DOWN = '↙'
    ARU = ARROW_RIGHT_UP = '↗'
    ARD = ARROW_RIGHT_DOWN = '↘'
    DAR = DOUBLE_ARROW_RIGHT = '⇉'
    DAL = DOUBLE_ARROW_LEFT = '⇇'
    DAU = DOUBLE_ARROW_UP = '⇈'
    DAD = DOUBLE_ARROW_DOWN = '⇊'
    DALR = DOUBLE_ARROW_LEFT_RIGHT = '⇄'
    DAUD = DOUBLE_ARROW_UP_DOWN = '⇅'
    ADDA = ARROW_DOWN_DASHED = '⇣'
    ALDA = ARROW_LEFT_DASHED = '⇠'
    AUDA = ARROW_UP_DASHED = '⇡'
    ARDA = ARROW_RIGHT_DASHED = '⇢'
    ARW = ARROW_RIGHT_WHITE = '⇨'
    AUW = ARROW_UP_WHITE = '⇧'
    ADW = ARROW_DOWN_WHITE = '⇩'
    ALW = ARROW_LEFT_WHITE = '⇦'
    AUPW = ARROW_UP_DOWN_WHITE = '⇳'
    APWFB = ARROW_UP_WHITE_FROM_BAR = '⇪'
    APWP = ARROW_UP_WHITE_PEDESTAL = '⇫'


class Astrology:
    """Astrology emojis"""
    ARIES = '♈'
    TAURUS = '♉'
    GEMINI = '♊'
    CANCER = '♋'
    LEO = '♌'
    VIRGO = '♍'
    LIBRA = '♎'
    SCORPIUS = '♏'
    SAGITTARIUS = '♐'
    CAPRICORN = '♑'
    AQUARIUS = '♒'
    PISCES = '♓'
    OPHIUCHUS = '⛎'


class People:
    """People emojis"""
    SMILE = '😄'
    BLUSH = '😊'
    SMILE_WITH_HEART = '😍'
    SMILE_WITH_SUNGLASSES = '😎'
    WINK = '😉'
    LOL = '😂'
    WOW = '😮'
    SAD = '😢'
    ANGRY = '😠'
    THINKING = '🤔'
    FLUSH = '😳'
    CRY = '😭'
    CONFUSED = '😕'
    LAUGH = '😆'
    YUM = '😋'
    SMIRK = '😏'
    SCREAM = '😱'
    CAT = '😺'
    DOG = '🐶'
    MOUTH = '👄'
    TONGUE = '👅'
    WINKING_FACE = '😜'
    PENSIVE_FACE = '😔'
    UNAMUSED_FACE = '😒'
    KISSING_HEART = '😘'
    KISSING_CLOSED_EYES = '😚'
    KISSING = '😗'
    COLD_SWEAT = '😰'
    HOT_FACE = '🥵'
    GRIMARCING = '🤐'
    STUCK_OUT_TONGUE = '😛'
    STUCK_OUT_TONGUE_CLOSED_EYE = '😝'
    SKULL = '💀'
    SKULL_AND_CROSSBONES = '☠'
    CLOWN = '🤡'
    POOP = '💩'
    JAPANESE_OGRE = '👹'
    JAPANESE_GOBLIN = '👺'
    GHOST = '👻'
    SWEAT = '😓'
    DIZZY = '😵'
    ALIEN = '👽'
    IMP = '👿'
    SMILING_IMP = '😈'


class Heart:
    GREEN = '❤'
    BIG = '💗'
    BROKEN = '💔'
    TWO = '💕'
    PURPLE = '💜'
    BLUE = '💙'
    GREEN = '💚'
    YELLOW = '💛'
    ORANGE = '🧡'
    BLACK = '🖤'
    RED = '❤'
    WITH_RIBBON = '💝'
    EXCLAMATION = '❣'
    ARROW = '💘'
    SPARKLING = '💖'
    REVOLVING = '💞'
    DECORATION = '💟'
    BEATING = '💓'


class Hands:
    """Hand emojis"""
    THUMBS_UP = '👍'
    THUMBS_DOWN = '👎'
    OK = '👌'
    RAISED_HAND = '✋'
    RAISED_HAND_FINGERS_SPLAYED = '🖐'
    VULCAN_SALUTE = '🖖'
    SIGN_OF_THE_HORNS = '🤘'
    CALL_ME_HAND = '🤙'
    FIST = '✊'
    LEFT_FACING_FIST = '🤛'
    RIGHT_FACING_FIST = '🤜'
    RAISED_BACK_OF_HAND = '🤚'
    HANDSHAKE = '🤝'
    WRITING_HAND = '✍'
    NAIL_POLISH = '💅'
    SELFIE = '🤳'
    MIDDLE_FINGER = '🖕'
    INDEX_POINTING_UP = '☝'
    VICTORY_HAND = '✌'
    WAVING_HAND = '👋'
    CLAPPING_HANDS = '👏'
    OPEN_HANDS = '👐'
    RAISING_HANDS = '🙌'
    FOLDED_HANDS = '🙏'
    PALMS_UP_TOGETHER = '🤲'
    HAND_WITH_INDEX_AND_MIDDLE_FINGER_CROSSED = '🤞'
    I_LOVE_YOU_HAND_SIGN = '🤟'
    BACKHAND_INDEX_POINTING_LEFT = '👈'
    BACKHAND_INDEX_POINTING_RIGHT = '👉'
    BACKHAND_INDEX_POINTING_UP = '👆'
    BACKHAND_INDEX_POINTING_DOWN = '👇'
    ONCOMING_FIST = '👊'


class Nature:
    """Nature emojis"""
    SUN = '☀'
    CLOUD = '☁'
    CLOUD_RAIN = '🌧'
    CLOUD_LIGHTNING = '🌩'
    CLOUD_SNOW = '🌨'
    SUN_BEHIND_CLOUD = '⛅'
    SUN_BEHIND_RAIN = '🌦'
    SUN_BEHIND_LARGE_CLOUD = '🌥'
    SUN_BEHIND_SMALL_CLOUD = '🌤'
    SUN_WITH_FACE = '🌞'
    FIRE = '🔥'
    DROPLET = '💧'
    WATER_WAVE = '🌊'
    SNOWFLAKE = '❄'
    SNOWMAN = '⛄'
    SNOWMAN_WITHOUT_SNOW = '⛇'
    CRYSTAL_BALL = '🔮'
    COMET = '☄'
    THERMOMETER = '🌡'
    UMBRELLA = '☂'
    UMBRELLA_CLOSED = '🌂'
    UMBRELLA_RAIN = '☔'
    FOG = '🌫'
    WIND_BLOWING_FACE = '🌬'
    DASH = '💨'
    CLOUD_TORNADO = '🌪'
    FOGGY = '🌁'
    RAINBOW = '🌈'
    RAINBOW_FLAG = '🏳‍🌈'
    VOLCANO = '🌋'
    MOUNTAIN = '⛰'
    MOUNTAIN_SNOW = '🏔'
    MOUNT_FUJI = '🗻'
    CAMPING = '🏕'
    DESERT = '🏜'
    DESERT_ISLAND = '🏝'
    NATIONAL_PARK = '🏞'
    STADIUM = '🏟'
    CLASSICAL_BUILDING = '🏛'
    BUILDING = '🏡'
    HOUSE = '🏠'
    HOUSE_WITH_GARDEN = '🏡'
    OFFICE = '🏢'
    POST_OFFICE = '🏣'
    HOSPITAL = '🏥'
    BANK = '🏦'


class Objects:
    """Objects emojis"""
    WATCH = '⌚'
    MOBILE_PHONE = '📱'
    MOBILE_PHONE_WITH_ARROW = '📲'
    COMPUTER = '💻'
    KEYBOARD = '⌨'
    DESKTOP_COMPUTER = '🖥'
    PRINTER = '🖨'
    COMPUTER_MOUSE = '🖱'
    TRACKBALL = '🖲'
    JOYSTICK = '🕹'
    COMPRESSION = '🗜'
    MINIDISC = '💽'
    FLOPPY_DISK = '💾'
    CD = '💿'
    DVD = '📀'
    VHS = '📼'
    CAMERA = '📷'
    CAMERA_WITH_FLASH = '📸'
    VIDEO_CAMERA = '📹'
    MOVIE_CAMERA = '🎥'
    FILM_PROJECTOR = '📽'
    FILM_FRAMES = '🎞'
    TELEPHONE_RECEIVER = '📞'
    PAGER = '📟'
    FAX_MACHINE = '📠'
    TELEVISION = '📺'
    RADIO = '📻'
    STUDIO_MICROPHONE = '🎙'
    LEVEL_SLIDER = '🎚'
    CONTROL_KNOBS = '🎛'
    STOPWATCH = '⏱'
    TIMER_CLOCK = '⏲'
    ALARM_CLOCK = '⏰'
    MANTELPIECE_CLOCK = '🕰'
    HOURGLASS = '⌛'
    HOURGLASS_WITH_FLOWING_SAND = '⏳'
    SATELLITE = '📡'
    BATTERY = '🔋'
    ELECTRIC_PLUG = '🔌'
    BULB = '💡'
    FLASHLIGHT = '🔦'
    CANDLE = '🕯'
    WASTEBASKET = '🗑'
    OIL_DRUM = '🛢'
    MONEY_WITH_WINGS = '💸'
    DOLLAR_BANKNOTE = '💵'
    CREDIT_CARD = '💳'
    MONEY_BAG = '💰'
    YEN_BANKNOTE = '💴'
    EURO_BANKNOTE = '💶'
    POUND_BANKNOTE = '💷'
    PLAY = '▶'
    TRIANGLE_LEFT = '◀'
    TRIANGLE_DOWN = '▼'
    TRIANGLE_UP = '▲'
    PREVIOUS_TRACK = '⏮'
    NEXT_TRACK = '⏭'
    PAUSE = '⏸'
    STOP = '⏹'
    RECORD = '⏺'
    FAST_FORWARD = '⏩'
    REWIND = '⏪'
    EMPTY = '▫'
    FULL = '▪'
    WHITE_MEDIUM_SQUARE = '◻'
    BLACK_MEDIUM_SQUARE = '◼'
    WHITE_MEDIUM_SMALL_SQUARE = '◽'
    BLACK_MEDIUM_SMALL_SQUARE = '◾'
    LARGE_ORANGE_DIAMOND = '🔶'
    LARGE_BLUE_DIAMOND = '🔷'
    SMALL_ORANGE_DIAMOND = '🔸'
    SMALL_BLUE_DIAMOND = '🔹'
    RED_TRIANGLE_POINTED_UP = '🔺'
    RED_TRIANGLE_POINTED_DOWN = '🔻'


class Information:
    WARNING = '⚠'
    NO_ENTRY = '⛔'
    PROHIBITED = '🚫'
    NO_BICYCLES = '🚳'
    NO_SMOKING = '🚭'
    NO_LITTERING = '🚯'
    NON_POTABLE_WATER = '🚱'
    NO_PEDESTRIANS = '🚷'
    NO_MOBILE_PHONES = '📵'
    NO_ONE_UNDER_EIGHTEEN = '🔞'
    RADIOACTIVE = '☢'
    BIOHAZARD = '☣'
    ERROR = '❌'
    WHITE_CHECK = '✅'
    CHECK = '✔'
    MULTIPLICATION_X = '✖'
    PLUS_SIGN = '➕'
    MINUS_SIGN = '➖'
    DIVISION_SIGN = '➗'
    CURLY_LOOP = '➰'
    DOUBLE_CURLY_LOOP = '➿'
    TRADE = '™'
    INFORMATION = 'ℹ'
    QUESTION = '❓'
    WHITE_QUESTION = '❔'
    WHITE_EXCLAMATION = '❕'
    EXCLAMATION = '❗'
    DOUBLE_EXCLAMATION = '‼'
    EXCLAMATION_QUESTION = '⁉'
    HUNDRED_POINTS = '💯'
    LOW_BRIGHTNESS = '🔅'
    HIGH_BRIGHTNESS = '🔆'
    TRIDENT_EMBLEM = '🔱'
    ANSWER = '🗨'
    ANSWERED = '🗯'
    SEARCH = '🔍'
    MAGNIFYING_GLASS = '🔎'


class Bar:
    """Bar emojis"""
    COCKTAIL_GLASS = '🍸'
    TROPICAL_DRINK = '🍹'
    BEER_MUG = '🍺'
    CLINKING_BEER_MUGS = '🍻'
    WINE_GLASS = '🍷'
    TUMBLER_GLASS = '🥃'
    FORK_AND_KNIFE = '🍴'
    FORK_AND_KNIFE_WITH_PLATE = '🍽'
    SPOON = '🥄'
    TEACUP_WITHOUT_HANDLE = '🍵'
    SAKE_BOTTLE_AND_CUP = '🍶'
    BABY_BOTTLE = '🍼'
    BEER_MUGS = '🍻'


class Numbers:
    ZERO = '0️⃣'
    ONE = '1️⃣'
    TWO = '2️⃣'
    THREE = '3️⃣'
    FOUR = '4️⃣'
    FIVE = '5️⃣'
    SIX = '6️⃣'
    SEVEN = '7️⃣'
    EIGHT = '8️⃣'
    NINE = '9️⃣'
    KEYCAP_TEN = '🔟'
    HASH = '#️⃣'
    ASTERISK = '*️⃣'


class Line:
    DV = DOUBLE_VERTICAL = '║'
    DTL = DOUBLE_TOP_LEFT = '╔'
    DTR = DOUBLE_TOP_RIGHT = '╗'
    DBL = DOUBLE_BOTTOM_LEFT = '╚'
    DBR = DOUBLE_BOTTOM_RIGHT = '╝'
    DL = DOUBLE_LEFT = '╠'
    DR = DOUBLE_RIGHT = '╣'
    DTT = DOUBLE_TOP_T = '╦'
    DBT = DOUBLE_BOTTOM_T = '╩'
    DCT = DOUBLE_CROSS_T = '╬'
    DH = DOUBLE_HORIZONTAL = '═'
    DVL = DOUBLE_VERTICAL_LEFT = '╟'
    DVR = DOUBLE_VERTICAL_RIGHT = '╢'
    DHU = DOUBLE_HORIZONTAL_UP = '╤'
    DHD = DOUBLE_HORIZONTAL_DOWN = '╧'
    DHUC = DOUBLE_HORIZONTAL_UP_DOWN = '╨'

    VDH = VERTICAL_DOUBLE_HORIZONTAL = '╪'
    VDHL = VERTICAL_DOUBLE_HORIZONTAL_LEFT = '╞'
    VDHR = VERTICAL_DOUBLE_HORIZONTAL_RIGHT = '╡'
    VDHU = VERTICAL_DOUBLE_HORIZONTAL_UP = '╥'
    VDHD = VERTICAL_DOUBLE_HORIZONTAL_DOWN = '╨'
    VDHUD = VERTICAL_DOUBLE_HORIZONTAL_UP_DOWN = '╫'

    SV = SINGLE_VERTICAL = '│'
    STL = SINGLE_TOP_LEFT = '┌'
    STR = SINGLE_TOP_RIGHT = '┐'
    SBL = SINGLE_BOTTOM_LEFT = '└'
    SBR = SINGLE_BOTTOM_RIGHT = '┘'
    SL = SINGLE_LEFT = '├'
    SR = SINGLE_RIGHT = '┤'
    STT = SINGLE_TOP_T = '┬'
    SBT = SINGLE_BOTTOM_T = '┴'
    SCT = SINGLE_CROSS_T = '┼'
    SH = SINGLE_HORIZONTAL = '─'
    SVL = SINGLE_VERTICAL_LEFT = '┝'
    SVR = SINGLE_VERTICAL_RIGHT = '┥'
    SHU = SINGLE_HORIZONTAL_UP = '┰'
    SHD = SINGLE_HORIZONTAL_DOWN = '┸'

